{{- if .Values.enabled }}
apiVersion: cert-manager.io/v1alpha2
kind: Certificate
metadata:
  name: {{ include "certificate.fullname" . }}
  labels:
    app.kubernetes.io/name: {{ include "certificate.name" . }}
    helm.sh/chart: {{ include "certificate.chart" . }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
spec:
  secretName: {{ .Values.secretName }}
  {{- with .Values.issuerRef }}
  issuerRef:
    name: {{ .name }}
    kind: {{ .kind }}
  {{- end }}
  {{- with .Values.dnsNames }}
  dnsNames:
{{ . | toYaml | indent 4 }}
  {{- end }}
{{- end }}
